Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a RFC...

From: "Dale Moberg" <[email-masked]>
Date: Wed, 14 Jan 2004 08:53:00 -0700

+1 Maybe introduce a division in references between normative and
non-normative [if you add a ref to an ID]

	-----Original Message-----
	From: Rik Drummond [mailto:[email-masked]] 
	Sent: Wednesday, January 14, 2004 7:46 AM
	To: Dale Moberg; Kyle Meadors; [email-masked]
	Subject: RE: I believe that AS2 is now ready to be submitted to
IETF as a RFC...

	last time that got us on as1, referencing an ID. we will have to
ensure it does not cause a problem this time.

		-----Original Message-----
		From: Dale Moberg [mailto:[email-masked]] 
		Sent: Wednesday, January 07, 2004 3:48 PM
		To: Kyle Meadors; Rik Drummond; [email-masked]
		Subject: RE: I believe that AS2 is now ready to be
submitted to IETF as a RFC...

		Kyle,
		 
		If we reference the draft-ietf-compression-XX.txt
document, will we have to wait on it to become a RFC?
		 
		I seem to recall that IDs can be held up waiting for
referenced drafts becoming RFCs-- Rik, do you remember the rule?
		 
		Anyway, I would prefer not to make the AS2 ID wait for
the compression draft.
		 
		Dale Moberg

			-----Original Message-----
			From: [email-masked]
[mailto:[email-masked]] On Behalf Of Kyle Meadors
			Sent: Wednesday, January 07, 2004 2:30 PM
			To: Rik Drummond; [email-masked]
			Subject: RE: I believe that AS2 is now ready to
be submitted to IETF as a RFC...
			Importance: Low

			The AS2 draft vs. 14 doesn't reference the
draft-ietf-compression-XX.txt document. It probably should be added in
section 6.1 of the AS2 draft in talking about AS2-Version 1.1 and
compression, and then added in 11.0 in the References section.

			Kyle Meadors

			Drummond Group Inc.

________________________________

			From: [email-masked]
[mailto:[email-masked]] On Behalf Of Rik Drummond
			Sent: Wednesday, January 07, 2004 12:45 AM
			To: [email-masked]
			Subject: RE: I believe that AS2 is now ready to
be submitted to IETF as a RFC...

			thanks... any more?

				-----Original Message-----
				From: Shan Harter
[mailto:[email-masked]] 
				Sent: Wednesday, January 07, 2004 12:29
AM
				To: 'Rik Drummond'; [email-masked]
				Subject: RE: I believe that AS2 is now
ready to be submitted to IETF as a RFC...

				Perhaps a clarification for the
following?

				1. "AS2-Version: 1.1 - Designates those
implementations which support Compression as defined by RFC 3274."

				2. The draft
draft-ietf-ediint-as2-14.txt does not reference
draft-ietf-ediint-compression-03.txt. 

				3. draft-ietf-ediint-compression-03.txt
does not reference RFC 3274.

				4. draft-ietf-ediint-as2-14.txt does
reference RFC 3274 for compression.

				-----Original Message-----
				From: [email-masked]
[mailto:[email-masked]]On Behalf Of Rik Drummond
				Sent: Tuesday, January 06, 2004 10:26 PM
				To: [email-masked]
				Subject: I believe that AS2 is now ready
to be submitted to IETF as a RFC...

				.. are there any more comments on it
before we do a last call on this list?

				Rik Drummond, Chair EDIINT WG

---

From: "Rik Drummond" <[email-masked]>
Date: Wed, 14 Jan 2004 11:06:26 -0600

ok Kyle and I will look at that

-----Original Message-----
From: Dale Moberg [mailto:[email-masked]] 
Sent: Wednesday, January 14, 2004 9:53 AM
To: Rik Drummond; Kyle Meadors; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]] 
Sent: Wednesday, January 14, 2004 7:46 AM
To: Dale Moberg; Kyle Meadors; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

last time that got us on as1, referencing an ID. we will have to ensure it
does not cause a problem this time.

-----Original Message-----
From: Dale Moberg [mailto:[email-masked]] 
Sent: Wednesday, January 07, 2004 3:48 PM
To: Kyle Meadors; Rik Drummond; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

Kyle,
 
If we reference the draft-ietf-compression-XX.txt document, will we have to
wait on it to become a RFC?
 
I seem to recall that IDs can be held up waiting for referenced drafts
becoming RFCs-- Rik, do you remember the rule?
 
Anyway, I would prefer not to make the AS2 ID wait for the compression
draft.
 
Dale Moberg

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
On Behalf Of Kyle Meadors
Sent: Wednesday, January 07, 2004 2:30 PM
To: Rik Drummond; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...
Importance: Low

The AS2 draft vs. 14 doesn't reference the draft-ietf-compression-XX.txt
document. It probably should be added in section 6.1 of the AS2 draft in
talking about AS2-Version 1.1 and compression, and then added in 11.0 in the
References section.

Kyle Meadors

Drummond Group Inc.

  _____  

From: [email-masked] [mailto:[email-masked]]
On Behalf Of Rik Drummond
Sent: Wednesday, January 07, 2004 12:45 AM
To: [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

thanks... any more?

-----Original Message-----
From: Shan Harter [mailto:[email-masked]] 
Sent: Wednesday, January 07, 2004 12:29 AM
To: 'Rik Drummond'; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

Perhaps a clarification for the following?

1. "AS2-Version: 1.1 - Designates those implementations which support
Compression as defined by RFC 3274."

2. The draft draft-ietf-ediint-as2-14.txt does not reference
draft-ietf-ediint-compression-03.txt. 

3. draft-ietf-ediint-compression-03.txt does not reference RFC 3274.

4. draft-ietf-ediint-as2-14.txt does reference RFC 3274 for compression.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Rik Drummond
Sent: Tuesday, January 06, 2004 10:26 PM
To: [email-masked]
Subject: I believe that AS2 is now ready to be submitted to IETF as a RFC...

.. are there any more comments on it before we do a last call on this list?

---

From: "Kyle Meadors" <[email-masked]>
Date: Wed, 14 Jan 2004 11:21:18 -0600

Sure. The IETF makes this distinction about referencing normative and
non-normative

Normative references to IDs will cause a standards-track or BCP document to
wait for the referenced RFCs to be published. 

Non-normative references will have the I-D file name stripped out by the RFC
Editor and replaced with (work in progress).

I believe if we make the compression draft a non-normative reference, we
would not have to wait for it to be RFC-ed. I can make a new version with
these suggested changes, and send it to Rik/Dale. If it looks good them, Rik
can resubmit to the WG for approval.

Is there any other suggestions or comments on the current draft?

Kyle

   _____  

From: Rik Drummond [mailto:[email-masked]] 
Sent: Wednesday, January 14, 2004 11:06 AM
To: 'Dale Moberg'; 'Kyle Meadors'; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

-----Original Message-----
From: Dale Moberg [mailto:[email-masked]] 
Sent: Wednesday, January 14, 2004 9:53 AM
To: Rik Drummond; Kyle Meadors; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

-----Original Message-----
From: Rik Drummond [mailto:[email-masked]] 
Sent: Wednesday, January 14, 2004 7:46 AM
To: Dale Moberg; Kyle Meadors; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

-----Original Message-----
From: Dale Moberg [mailto:[email-masked]] 
Sent: Wednesday, January 07, 2004 3:48 PM
To: Kyle Meadors; Rik Drummond; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

Kyle,

Dale Moberg

-----Original Message-----

The AS2 draft vs. 14 doesn’t reference the draft-ietf-compression-XX.txt
document. It probably should be added in section 6.1 of the AS2 draft in
talking about AS2-Version 1.1 and compression, and then added in 11.0 in the
References section.

Kyle Meadors

Drummond Group Inc.

   _____  

thanks... any more?

-----Original Message-----
From: Shan Harter [mailto:[email-masked]] 
Sent: Wednesday, January 07, 2004 12:29 AM
To: 'Rik Drummond'; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

 

-----Original Message-----

---
Incoming mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.559 / Virus Database: 351 - Release Date: 1/7/2004

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.559 / Virus Database: 351 - Release Date: 1/7/2004

---

From: "Rik Drummond" <[email-masked]>
Date: Wed, 14 Jan 2004 14:16:55 -0600

Ok guys if this is all the final edits, Kyle and I will clean as2 up, do a
last call on the list, and then submit it for rfc. Great we are almost done.
Now have over 35 products with thousands of installations across the
world.... Best regards, rik

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Wednesday, January 14, 2004 2:10 PM
To: Dale Moberg
Cc: Rik Drummond; Kyle Meadors; [email-masked]
Subject: RE: I believe that AS2 is now ready to be submitted to IETF as a
RFC...

> non-normative [if you add a ref to an ID]

This separation needs to be implemented regardless; current RFC Editor rules
require it.

				Ned

---

From: [email-masked]
Date: Wed, 14 Jan 2004 12:09:48 -0800 (PST)

> non-normative [if you add a ref to an ID]

This separation needs to be implemented regardless; current RFC Editor
rules require it.

				Ned

---

From: [email-masked]
Date: Thu, 15 Jan 2004 00:12:17 -0800 (PST)

> world.... Best regards, rik

I'll try to do a quick pass over it in the next couple of days to see
if any other nits need to be addressed.

I note in passing that the tls compression specification has undergone
last call, IESG review, and is now back with the TLS WG for some
changes before final approval. (As it happens I am one of the ADs
with discuss votes on this one.) As such, the odds are quite good
this will become an RFC before AS2.

				Ned

---

From: "Rik Drummond" <[email-masked]>
Date: Thu, 15 Jan 2004 08:38:48 -0600

Great! Thanks Ned

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, January 15, 2004 2:12 AM
To: Rik Drummond
Cc: [email-masked]; 'Dale Moberg'; 'Kyle Meadors';
[email-masked]

> Ok guys if this is all the final edits, Kyle and I will clean as2 up, 
> do a last call on the list, and then submit it for rfc. Great we are 
> almost done. Now have over 35 products with thousands of installations 
> across the world.... Best regards, rik

I'll try to do a quick pass over it in the next couple of days to see if any
other nits need to be addressed.

I note in passing that the tls compression specification has undergone last
call, IESG review, and is now back with the TLS WG for some changes before
final approval. (As it happens I am one of the ADs with discuss votes on
this one.) As such, the odds are quite good this will become an RFC before
AS2.

				Ned